<?php
session_start();
include 'config.php';

if (isset($_POST['submit'])) {
    $weaponName = $_POST['weaponName'];
    $weaponType = "long";
    
    // Prepare data to send via cURL
    $postData = json_encode(array(
        'weaponName' => $weaponName,
        'weaponType' => $weaponType
    ));
    
    $curl = curl_init();
    $url = BASE_URL . '/addWeaponForm';
    curl_setopt_array($curl, array(
        CURLOPT_URL => $url,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS => $postData,
        CURLOPT_HTTPHEADER => array(
            'Content-Type: application/json'
        ),
    ));

    $response = curl_exec($curl);

    curl_close($curl);

    $json_response = json_decode($response);

    if (!empty($json_response) && $json_response->id > 0) {
        $_SESSION['error_status'] = "Weapon Name not saved ";
    } else {
        $_SESSION['success_status'] = "Weapon Name saved successfully";
    }
    
    // Redirect to the appropriate page after form submission
    header("Location: long_weapon_register.php");
    exit(); // Ensure that script execution stops after the redirect
}
?>
