<?php include "header.php";
include 'config.php';?>

<style>
    .report a {
        color: white;
    }

    .margin {
        margin-top: 20px;
    }
</style>


<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                    <li class="breadcrumb-item active">Workshop Service Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-12">
                    <div class="card">
                    <div class="card-header d-flex align-items-center">
                                    <h5 class="card-title mb-0 flex-grow-1">Outward  </h5>
                                    <div>
                                        <button id="addRow" class="btn btn-primary"><a href="Add_inventary_outward.php" class="nav-link" data-key="t-starter">Add Outward  </a></button>
                                    </div>
                                </div>
                                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">

                            <form action="" class="needs-validation was-validated" novalidate="" method="post"
                                enctype="multipart/form-data">
                                <div class="d-flex" style="gap:20px;">
                                    <div class="col-md-2 mt-3">
                                        <div>
                                            <label for="startDate" class="form-label mx-3" style="color:grey;"> Start
                                                Date:</label>
                                            <input type="date" class="form-control mx-3" id="startDate" name="startDate"
                                                required>
                                        </div>
                                    </div>
                                    <div class="col-md-2 mt-3 ml-5">
                                        <div>
                                            <label for="endDate" class="form-label" style="color:grey;"> End
                                                Date:</label>
                                            <input type="date" class="form-control" id="endDate" name="endDate"
                                                required>
                                        </div>
                                    </div>

                                    <div class="col-md-2 ml-5 mt-5">
                                        <button type="submit" id="submitButton" class="btn btn-primary report"
                                            style="color:white">Submit</button>
                                    </div>
                                </div>
                                <!-- Hidden input fields for startDate and endDate -->
                                <input type="hidden" name="startDate" id="hiddenStartDate">
                                <input type="hidden" name="endDate" id="hiddenEndDate">
                            </form>

                            <div class="card-body">
                                <div class="table-responsive">
                                    <table id="buttons-datatables" class="display table table-bordered"
                                        style="width:100%">
                                        <thead class="table-light">
                                            <tr class="fs-6">
                                            <th class="text-center" scope="col">Action</th>
                                            
                                            <th class="text-center" scope="col">Outward No</th>
                                            <th class="text-center" scope="col">Date</th>
                                            <th class="text-center" scope="col" >Weapon Type</th>
                                            <th class="text-center" scope="col" >Weapon Name</th>
                                            <th class="text-center" scope="col" >Round Name</th>
                                            <th class="text-center" scope="col" >Carat No</th>
                                            <th class="text-center" scope="col" >Box No</th>
                                            <th class="text-center" scope="col" >Lot No</th>
                                            <th class="text-center" scope="col" >Manufacturer Name</th>
                                            <th class="text-center" scope="col" >Manufacturer No</th>
                                            <th class="text-center" scope="col" >Reference No</th>
                                            <th class="text-center" scope="col" >Kit committee No</th>
                                            <th class="text-center" scope="col" >Total Quantity</th>
                                            <th class="text-center" scope="col" >Received Quantity</th>
                                            <th class="text-center" scope="col" >Balance Quantity</th>
                                            <th class="text-center" scope="col" >Expiry Date</th>
                                            <th class="text-center" scope="col" >Received By</th>
                                            <th class="text-center" scope="col" >Remark</th>
                                            </tr>

                                           
                                        </thead>

                                        <tbody class="fs-6">
                                       
                                                      
                                                    
                                                        <tr>
                                                    <td class='text-center'> <a href="view_particular_inward_rgistered.php?id_no=" class='btn btn-success '>View</a></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       <td class='text-center'></td>
                                                       
            
                                                       
                                                    </tr>
            
                                                    
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div><!--end row-->
            </div>
        </div>
    </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function () {
            // Intercept form submission
            $('form').submit(function () {
                // Get the values of startDate and endDate inputs
                var startDate = $('#startDate').val();
                var endDate = $('#endDate').val();
                // Set the values of hidden input fields
                $('#hiddenStartDate').val(startDate);
                $('#hiddenEndDate').val(endDate);
                // Continue with form submission
                return true;
            });
        });
    </script>
<script>
        $(document).ready(function () {
            // Intercept form submission
            $('form').submit(function (event) {
                // Get the values of startDate and endDate inputs
                var startDate = $('#startDate').val();
                var endDate = $('#endDate').val();

                // Check if startDate or endDate is empty
                if (!startDate || !endDate) {
                    // Prevent the default form submission
                    event.preventDefault();
                    // Display an alert message
                    alert("Please select both start date and end date.");
                    return;
                }

                // Convert selected dates to Date objects
                var startDateObj = new Date(startDate);
                var endDateObj = new Date(endDate);

                // Check if endDate is before startDate
                if (endDateObj < startDateObj) {
                    // Prevent the default form submission
                    event.preventDefault();
                    // Display an alert message
                    alert("Please select a valid end date that is after the start date.");
                    return;
                }
            });
        });
    </script>

    <?php include "footer.php"; ?>
