<?php
include "header.php";
include 'config.php';
?>

<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                    <li class="breadcrumb-item active">Workshop Service Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="table-content">
                    <div class="card">
                        <div class="card-header d-flex align-items-center">
                            <h5 class="card-title mb-0 flex-grow-1" style="color: black;font-weight: 600;"> Short
                                Weapon Report</h5>
                            <!-- <div>
                                <button id="addRow" class="btn btn-primary"><a href="short_weapon_register.php"
                                        class="nav-link" data-key="t-starter">Add Short Weapon</a></button>
                            </div> -->
                        </div>

                        <div class="row">
                            <div class="col-lg-12">
                                <div class="card-body">
                                    <table id="buttons-datatables"
                                        class="display table table-bordered dataTable no-footer" style="width: 100%;"
                                        aria-describedby="buttons-datatables_info">
                                        <thead>
                                            <tr>
                                                <th class="text-center" scope="col">Sr.No</th>
                                                <th class="text-center" scope="col">Weapon Name</th>
                                                <th class="text-center" scope="col">Status</th>
                                                <th class="text-center" scope="col">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            // Fetch spare parts data from API
                                            $curl = curl_init();
                                            $url = BASE_URL . '/longWeaponTypes';
                                            curl_setopt_array($curl, array(
                                                CURLOPT_URL => $url,
                                                CURLOPT_RETURNTRANSFER => true,
                                                CURLOPT_ENCODING => '',
                                                CURLOPT_MAXREDIRS => 10,
                                                CURLOPT_TIMEOUT => 0,
                                                CURLOPT_FOLLOWLOCATION => true,
                                                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                                                CURLOPT_CUSTOMREQUEST => 'POST',
                                            )
                                            );

                                            $response = curl_exec($curl);

                                            if (curl_errno($curl)) {
                                                echo 'CURL Error: ' . curl_error($curl);
                                            }

                                            curl_close($curl);

                                            // Decode the JSON response
                                            $data = json_decode($response, true);

                                            // Check if the data is not empty
                                            if (!empty($data['longWeaponTypes'])) {
                                                $currentDateTime = $data['currentDateTime'];
                                                $srNo = 1;
                                                foreach ($data['longWeaponTypes'] as $weapon) {
                                                    if (empty($weapon['weaponName']))
                                                        continue;
                                                    $weaponNameid = $weapon['weaponName'];
                                                    $currentDateTime = $data['currentDateTime'];
                                                    $weaponType = $weapon['weaponType'];
                                                    $encrypted_weaponName = base64_encode($weaponNameid);
                                                    $encrypted_currentDateTime = base64_encode($currentDateTime);
                                                    $encrypted_weaponType = base64_encode($weaponType);
                                                    echo "<tr>";
                                                    echo "<td class='text-center'>{$srNo}</td>";
                                                    echo "<td class='text-center'>{$weapon['weaponName']}</td>";
                                                    echo "<td class='text-center'>" . ($weapon['weaponStatus'] == 'active' ? 'Active' : 'Inactive') . "</td>";

                                                    echo "<td class='text-center'>";
                                                   // echo "<a href='sparepart_register.php?id={$weapon['encrypted_weaponName']}' class='btn btn-success' style='margin-right: 10px;'>Add Spare Part</a>";
                                                    echo "<a href='view_shortweapon_sparepart_daily_report.php?weaponName=" . urlencode($encrypted_weaponName) . "' class='btn btn-success' style='margin-right: 10px;'>View</a>";
                                                    echo "</td>";
                                                    echo "</tr>";
                                                    $srNo++;
                                                }
                                            } else {
                                                echo "<tr><td colspan='4' class='text-center'>No Long Weapon found</td></tr>";
                                            }
                                            ?>


                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
<?php
include "footer.php";
?>