<?php 
include "header.php";
include 'config.php';
$encrypted_id = $_GET['id_no'];
$date = base64_decode($encrypted_id);

// $url = BASE_URL . '/stock/list';
$curl = curl_init();
$url = BASE_URL . '/getRevolverRepairReportByDate/'.$date.'';
curl_setopt_array($curl, array(
    CURLOPT_URL => $url,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'POST',
  ));
  
  $response = curl_exec($curl);
  
  curl_close($curl);

  


?>

<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                    <li class="breadcrumb-item active">Workshop Service Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="table-content">
                    <div class="card">
                    <div class="card-header d-flex align-items-center">
                                    <h5 class="card-title mb-0 flex-grow-1"> Daily Report  </h5>
                                   
                                </div>

                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">

                            <div class="card-body">
                                <div class="table-responsive">

                                    <table id="buttons-datatables"
                                        class="table table-bordered table-responsive dataTable no-footer custom-table"
                                        style="width: 100%;" aria-describedby="buttons-datatables_info">
                                        <thead class="thead" style=" overflow: scroll; width: 331px;  height:40px;">
                                            <tr>
                                            
                                            <th class="text-center" scope="col">Date</th>
                                                <th class="text-center" scope="col">Weapon Name</th>
                                                
                                                <th class="text-center" scope="col" >Previous Count</th>
                                                <th class="text-center" scope="col" >Received Count</th>
                                                <th class="text-center" scope="col">Issued Count</th>
                                                <th class="text-center" scope="col">Balanced Weapon Count</th>
                                                <th class="text-center" scope="col">Remark</th>
                                                
                                            </tr>
                                        </thead>
                                        <tbody>
                                        <?php
$data = json_decode($response, true);

if (!empty($data)) {
    // Group data by date
    $groupedData = [];
    foreach ($data as $row) {
        $date = $row['date'];
        if (!isset($groupedData[$date])) {
            $groupedData[$date] = [];
        }
        $groupedData[$date][] = $row;
    }

    foreach ($groupedData as $date => $rows) {
        $rowCount = count($rows);
        foreach ($rows as $index => $row) {
            $id = $row['id'];
            $encrypted_id = base64_encode($id);
            ?>
            <tr>
                <?php if ($index == 0) { // Only for the first row of the group ?>
                    <td class='text-center' rowspan='<?php echo $rowCount; ?>'><?php echo date('d/m/y', strtotime($date)); ?></td>
                <?php } ?>
                <td class='text-center'><?php echo $row['weaponName']; ?></td>
                <td class='text-center'><?php echo $row['previousCount']; ?></td>
                <td class='text-center'><?php echo $row['receivedCount']; ?></td>
                <td class='text-center'><?php echo $row['issuedCount']; ?></td>
                <td class='text-center'><?php echo $row['balancedCount']; ?></td>
                <td class='text-center'><?php echo $row['weaponCondition']; ?></td>
            </tr>
            <?php
        }
    }
} else {
    ?>
    <tr><td colspan='7'>Data Not Available</td></tr>
    <?php
}
?>

                                    <tr>
                                        <td class='text-center '><b>Total</b></td>
                                        <td class='text-center'>-</td>
                                        
                                        <?php 
                                        $curl = curl_init();
                                         
                                        $url = BASE_URL . '/TotalsDailyServiceReport/getTotalsDailyServiceReportByDate/'.$date.'';
                                        curl_setopt_array($curl, array(
                                          CURLOPT_URL => $url,
                                          CURLOPT_RETURNTRANSFER => true,
                                          CURLOPT_ENCODING => '',
                                          CURLOPT_MAXREDIRS => 10,
                                          CURLOPT_TIMEOUT => 0,
                                          CURLOPT_FOLLOWLOCATION => true,
                                          CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                                          CURLOPT_CUSTOMREQUEST => 'POST',
                                        ));
                                        
                                        $totalresponse = curl_exec($curl);
                                        
                                        curl_close($curl);
                                        //echo $totalresponse;


                                        
$json_response = json_decode($totalresponse);

if ($json_response !== null) {
    // Populate input fields with data from $json_response
    $totalPreviousCount = $json_response[0]->totalPreviousCount ?? '';
    $totalReceivedCount = $json_response[0]->totalReceivedCount ?? '';
    
    $totalIssuedCount = $json_response[0]->totalIssuedCount ?? '';
    $totalBalancedCount = $json_response[0]->totalBalancedCount ?? '';
    
    
    
} else {
    // Set default values for input fields if response is not received
    $totalPreviousCount = '';
    $totalReceivedCount = '';
    $totalIssuedCount = '';
    $totalBalancedCount = '';
}





                                        ?>
                                        <td class='text-center'><b><?php  echo $totalPreviousCount ?></b></td>
                                        <td class='text-center'><b><?php  echo $totalReceivedCount ?></b></td>
                                        <td class='text-center'><b><?php  echo $totalIssuedCount ?></b></td>
                                        <td class='text-center'><b><?php  echo $totalBalancedCount ?></b></td>
                                        <td class='text-center'>-</td>
                                    </tr>
                                            
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
                </div>

            </div> <!-- Closing tag for div.container-fluid -->
        </div> <!-- Closing tag for div.page-content -->
    </div> <!-- Closing tag for div.main-content -->

   
</body>
<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>


<?php include "footer.php"; ?>