<?php 
include "header.php";
include 'config.php';
$encrypted_id = $_GET['id_no'];
$id = base64_decode($encrypted_id);

// $url = 'http://192.168.1.54:8088/getByInwardNumberfromregister/'.$id.';
$curl = curl_init();
$url = BASE_URL . '/getByInwardNumberfromregister?inwardNumber='.$id.'';
curl_setopt_array($curl, array(
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
));

$response = curl_exec($curl);

curl_close($curl);
$json_response = json_decode($response);

if ($json_response !== null) {
    // Populate input fields with data from $json_response
    $inwardNumber = $json_response->inwardNumber ?? '';
    $weaponName = $json_response->weaponName ?? '';
    $date = $json_response->date ?? '';
    $description = $json_response->description ?? '';
    $quantity = $json_response->quantity ?? '';
    $location = $json_response->location ?? '';
    
} else {
    // Set default values for input fields if response is not received
    $inwardNumber = '';
    $weaponName = '';
    $date = '';
    $description = '';
    $quantity = '';
    
}


?>

<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                    <li class="breadcrumb-item active">Workshop Service Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="table-content">
                    <div class="card">
                    <div class="card-header d-flex align-items-center">
                                    <h5 class="card-title mb-0 flex-grow-1"> Inward Registered Weapon Report </h5>
                                    
                                </div>

                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">

                            <div class="card-body">
                                <div class="table-responsive">

                                <table class="table  table-striped table-nowrap" id="myTable">
                                    <thead>
                                        <tr class="text-center">
                                            <th class="text-center"scope="col">Sr.No</th>
                                            <th class="text-center" width="30%" scope="col">Title</th>
                                            <th class="text-center" scope="col">information</th>

                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr >
                                            <th class="text-center" scope="row" >1</th>
                                            <td class="text-center">Inward No</td>
                                            <td class="text-center"><?php  echo $inwardNumber ?></td>

                                        </tr>
                                        <tr>
                                            <th class="text-center" scope="row">2</th>
                                            <td class="text-center">Date</td>
                                            <td class="text-center"><?php  echo $date ?></td>

                                        </tr>
                                        <tr>
                                            <th class="text-center"scope="row">3</th>
                                            <td class="text-center">Weapon Name</td>
                                            <td class="text-center"><?php  echo $weaponName ?></td>

                                        </tr>
                                        <tr>
                                            <th class="text-center" scope="row">4</th>
                                            <td class="text-center">Location</td>
                                            <td class="text-center"><?php  echo $location ?></td>
                                        </tr>
                                        <tr>
                                            <th class="text-center" scope="row">5</th>
                                            <td class="text-center">Total Quantity</td>
                                            <td class="text-center"><?php  echo $quantity ?></td>
                                        </tr>
                                        <tr>
                                            <th class="text-center" scope="row">6</th>
                                            <td class="text-center">Remark</td>
                                            <td class="text-center"><?php  echo $description ?></td>
                                        </tr>
                                        </tbody>
                                </table>
                                <h5>Particular Weapon Detail</h5>

                                    <table id="buttons-datatables"
                                        class="table table-bordered table-responsive dataTable no-footer custom-table"
                                        style="width: 100%;" aria-describedby="buttons-datatables_info">
                                        <thead class="thead" style=" overflow: scroll; width: 331px;  height:40px;">
                                            <tr>
                                            
                                            
                                                <th class="text-center" scope="col">Butt No</th>
                                                <th class="text-center" scope="col">Manufacturer No</th>
                                                <th class="text-center" scope="col" >Count</th>
                                                
                                                
                                            </tr>
                                        </thead>
                                        <tbody>
                                        <?php
                                       $curl = curl_init();
                                       $url = BASE_URL . '/getByInwardNumberfromregister1?inwardNumber='.$id.'';
                                       curl_setopt_array($curl, array(
                                         CURLOPT_URL => $url,
                                         CURLOPT_RETURNTRANSFER => true,
                                         CURLOPT_ENCODING => '',
                                         CURLOPT_MAXREDIRS => 10,
                                         CURLOPT_TIMEOUT => 0,
                                         CURLOPT_FOLLOWLOCATION => true,
                                         CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                                         CURLOPT_CUSTOMREQUEST => 'POST',
                                       ));
                                       
                                       $response = curl_exec($curl);
                                       
                                       curl_close($curl);
                                        $data = json_decode($response, true);
                                    if (!empty($data)) {
                                        foreach ($data as $row) {
                                           
                                            ?>
                                        <tr>
                                        
                                           
                                           <td class='text-center'><?php  echo $row['buttNo'] ?></td>
                                           <td class='text-center'><?php echo $row['manufacturingNo'] ?></td>
                                           <td class='text-center'><?php  echo $row['count'] ?></td>
                                          
                                           
                                          
                                        </tr>  
                                           <?php
                                        }
                                    } else {
                                        ?>
                                        <tr><td colspan='6'>Data Not Available</td></tr>
                                        <?php }
                                    ?>
                                            
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
                </div>

            </div> <!-- Closing tag for div.container-fluid -->
        </div> <!-- Closing tag for div.page-content -->
    </div> <!-- Closing tag for div.main-content -->

   
</body>

 <?php include "footer.php"; ?>