<?php 

include "header.php";
include 'config.php';

?>





<body>
    <div class="main-content">
        <div class="page-content">
                <div class="container-fluid">
                
                     
                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                <h4 class="mb-sm-0"></h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                        <li class="breadcrumb-item active">Workshop Service Department</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>
                    <?php 
                        if(isset($_SESSION['success_status'])){
                            ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong>Hey!</strong> <?php echo $_SESSION['success_status'];   ?>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>

                            <?php
                            
                            

                        }
                        elseif(isset($_SESSION['error_status'])){
                            ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong>Hey!</strong> <?php echo $_SESSION['error_status'];   ?>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>

                            <?php

                        }
                        unset($_SESSION['success_status']);
                        unset($_SESSION['error_status']);
                    ?> 
                    <div class="row">
                       
                        <div class="col-xl-12">
                            <div class="card">
                                <div class="card-header">
                                    <h4 class="card-title mb-0"> Add Weapon Condition Report</h4>
                                </div><!-- end card header -->
                                
                                <div class="card-body">
                                    <form action="check_weapon_condition.php" class="form-steps was-validated" method="post" enctype="multipart/form-data">
		                                <div class="row ">
                                        <div class=" col-md-6 mt-3">
                                                        <div>
                                                            <label for="date" class="form-label">Date</label>
                                                            <input type="date" class="form-control" id="date" name="date" required>
                                                        </div>
                                            </div>
                                            <?php
                                                   
                                                    $curl = curl_init();
                                                    $url = BASE_URL . '/weapons/listWeapon';
                                                    curl_setopt_array($curl, array(
                                                      CURLOPT_URL => $url,
                                                      CURLOPT_RETURNTRANSFER => true,
                                                      CURLOPT_ENCODING => '',
                                                      CURLOPT_MAXREDIRS => 10,
                                                      CURLOPT_TIMEOUT => 0,
                                                      CURLOPT_FOLLOWLOCATION => true,
                                                      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                                                      CURLOPT_CUSTOMREQUEST => 'POST',
                                                    ));
                                                    
                                                    $weaponresponse = curl_exec($curl);
                                                    
                                                    curl_close($curl);
                                                    curl_close($curl);
                                                    if (!empty($weaponresponse) && $weaponjson_response = json_decode($weaponresponse)) {
    
    


                                            ?>

                                            
                                            <div  class="col-md-6 mt-3" >
                                                <label  for="weapon_name" class="form-label">Weapon Name(<a href="add_weapon_round_name.php" >Add Weapon Name</a>)</label>
                                                <select class="form-select " aria-label="Default select example" name="weapon_name" id="weapon_name" class="select2"  required>
                                                    <option value="">--Weapon Name--</option>
                                                    <?php
            
                                                                foreach ($weaponjson_response as $row) {
                                                                    
                                                                        ?>
                                                                        <option value="<?php echo $row->weaponName; ?>"><?php echo $row->weaponName; ?></option>
                                                                        <?php
                                                                            
                                                                }
                                                                ?>
                                                </select> 
			                                </div>

                                            <?php
                                                        } else {
                                                            ?>
                                                            <div  class="col-md-6 mt-3" >
                                                            <label  for="weapon_name" class="form-label">Weapon Name(<a href="add_weapon_round_name.php" >Add Weapon/Round Name</a>)</label>
                                                            <select class="form-select " aria-label="Default select example" name="weapon_name" id="weapon_name" class="select2"  required>
                                                                <option value="">--Weapon Name--</option>
                                                                </select> 
			                                </div>
                                                                <?php
                                                        }
                                                        ?>


                                            <div class="col-md-12 mt-3">
                                                <div>
                                                    
                                                    <label for="description" class="form-label">Remark </label>
                                                    <textarea  class="form-control" id="description" name="description" placeholder=" Enter Remark" rows="3" required></textarea>
                                                </div>
			                                </div>
                                            
                                            <div class="field_wrapper mt-4">

            <div class="table-responsive">  

                <table class="table " id="dynamic_field">  

                    <tr>  
                        <td><label class="form-label" for="butt_no"> Butt No 	</label><br>
                                                        <input type="text" class="form-control" id="butt_no" name="butt_no[]" required></td>

                        <td><label class="form-label" for="manufacture_no"> 	Manufacturer No 	</label><br>
                                                        <input type="text" class="form-control" id="manufacture_no[]" name="manufacture_no[]" required></td>

                        
                        <td><label  for="weapon_condition" class="form-label">Weapon Condition</label>
                                                <select class="form-select " aria-label="Default select example" name="weapon_condition[]" id="weapon_condition[]" class="select2" required >
                                                    <option value="">--Weapon Condition--</option>
                                                    <option value="Good">Good</option>
                                                    <option value="Bad">Bad</option>
                                                    <option value="Average">Average</option>
                                                    
                                                </select> </td>

                        
                        
                                                       

                        <td><button type="button" name="add" id="add" class="btn btn-success">Add More</button></td>  

                    </tr>  

                </table>  


            </div>

            </div>
     </div>
                                        <div class="row">
			      
				                            <div class="col-md-4 mt-4">
	        	                                <button type="submit" name="submit" class="btn btn-success ">Save</button> 
				                            </div>
                                        </div>		
		                            </form> 
                                
                                 </div>
                            </div>
                        </div>
                    </div>
                </div>
        </div>
    </div>
    
  <!-- Bootstrap JavaScript Libraries -->
  
  
</body>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>

    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>

    <script type="text/javascript">

$(document).ready(function(){      

  var postURL = "/addmore.php";

  var i=1;  



  $('#add').click(function(){  

       i++;  

       $('#dynamic_field').append('<tr id="row'+i+'" class="dynamic-added">\
    <td><input type="text" class="form-control" name="butt_no[]" required></td>\
    <td><input type="text" class="form-control" name="manufacture_no[]" required></td>\
    <td><select class="form-select" aria-label="Default select example" name="weapon_condition[]" required>\
        <option value="">--Weapon Condition--</option>\
        <option value="Good">Good</option>\
        <option value="Bad">Bad</option>\
        <option value="Average">Average</option>\
    </select></td>\
    <td><button type="button" name="remove" id="'+i+'" class="btn btn-danger btn_remove">X</button></td>\
</tr>');

  });



  $(document).on('click', '.btn_remove', function(){  

       var button_id = $(this).attr("id");   

       $('#row'+button_id+'').remove();  

  });  



  $('#submit').click(function(){            

       $.ajax({  

            url:postURL,  

            method:"POST",  

            data:$('#add_name').serialize(),

            type:'json',

            success:function(data)  

            {

                  i=1;

                  $('.dynamic-added').remove();

                  $('#add_name')[0].reset();

                        alert('Record Inserted Successfully.');

            }  

       });  

  });



});  

</script>   


              

<?php include"footer.php";?>

<!--  -->
                                           