<?php 
include "header.php";
include 'config.php';
$curl = curl_init();
$url = BASE_URL . '/getPrefixOutward';
curl_setopt_array($curl, array(
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
));

$response = curl_exec($curl);

curl_close($curl);

$json_response = json_decode($response);

if ($json_response !== null) {
    // Populate input fields with data from $json_response
    $prefix = $json_response->prefix ?? '';
} else {
    $prefix = '';
}

?>





<body>
    <div class="main-content">
        <div class="page-content">
                <div class="container-fluid">
                   
                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                <h4 class="mb-sm-0"></h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                        <li class="breadcrumb-item active">Workshop Service Department</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>

                    <?php 
                        if(isset($_SESSION['success_status'])){
                            ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong>Hey!</strong> <?php echo $_SESSION['success_status'];   ?>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>

                            <?php
                            
                            

                        }
                        elseif(isset($_SESSION['error_status'])){
                            ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong>Hey!</strong> <?php echo $_SESSION['error_status'];   ?>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>

                            <?php

                        }
                        unset($_SESSION['success_status']);
                        unset($_SESSION['error_status']);
                    ?> 
                    <div class="row">
                       
                        <div class="col-xl-12">
                            <div class="card">
                                <div class="card-header">
                                    <h4 class="card-title mb-0">Add Outward Prefix</h4>
                                </div><!-- end card header -->
                                
                                <div class="card-body">
                                    <form action="check_add_outward_prefix.php" method="post" >
		                                <div class="row ">
		                                    <div class="col-md-6 mt-3">
                                            <label for="out_prefix_name" class="form-label">Outward Name</label>
                                                <input type="text" id="out_prefix_name" name="out_prefix_name" class="form-control" value="<?php  echo $prefix ?>"><br>
			                                </div>
                                            
                                        </div>
                                        <div class="row">
			      
				                            <div class="col-md-4 mt-2">
	        	                                <button id="add_out_prefix_name" name="add_out_prefix_name" class="btn btn-success ">Save</button> 
				                            </div>

                                            
                                        </div>		
		                            </form> 
                                
                                 </div>
                            </div>
                        </div>
                    </div>



                    



                </div>
        </div>
    </div>
    
  <!-- Bootstrap JavaScript Libraries -->
  
</body>


              

<?php include"footer.php";?>