<?php
session_start();
include 'config.php';

if (isset($_POST['submit'])) {
    
    $date = $_POST['date'];
    $weapon_name = $_POST['weapon_name'];
    $location = $_POST['location'];
    $total_quantity = $_POST['total_quantity'];
    $remark = $_POST['remark'];
    $butt_no = $_POST['butt_no'];
    $manufacture_no = $_POST['manufacture_no'];
    $count = $_POST['count'];

    $name=$_SESSION['name'];
$designation=$_SESSION['designation'];
$employeeNo=$_SESSION['employeeNo'];
$dateOfJoining=$_SESSION['dateOfJoining'];
    
    
    // Construct inward register data
    $inwardRegister = array(
       
        'weaponName' => $weapon_name,
        'date' => $date,
        'description' => $remark,
        'location' => $location,
        'quantity' => $total_quantity,
        "empId"=> $employeeNo,
        "empDesignation"=> $designation,
        "empName"=> $name,
        "postingDate"=> $dateOfJoining
    );

    // Construct inward items list
    $inwardItemsList = array();
    foreach ($butt_no as $key => $value) {
        $inwardItemsList[] = array( $butt_no[$key], $manufacture_no[$key], $count[$key]);
    }

    // Combine inward register and inward items list into a single array
    $data = array(
        'inwardRegister' => $inwardRegister,
        'inwardItemsList' => $inwardItemsList
    );

    // Convert the array to JSON
    $json_data = json_encode($data);
    

    $curl = curl_init();
    $url = BASE_URL . '/save_inward_register';
curl_setopt_array($curl, array(
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>$json_data,
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json'
  ),
));

 $response = curl_exec($curl);

curl_close($curl);

$json_response = json_decode($response);
if (!empty($json_response)  && $json_response->Id >0) {
    $_SESSION['error_status'] = "Inward data not saved ";
    echo "<script>
   window.location.href = 'add_inward_registered.php';
   </script>";
      
    } else {
      
      $_SESSION['success_status'] = "Inward data saved  successfully";
       echo "<script>
      window.location.href = 'add_inward_registered.php';
      </script>";
      
     
    }

  
}
?>
