<?php
session_start();
if(!isset($_SESSION["username"] ) ){
     header("Location:../login.php");
}
 
$name=$_SESSION['name'];
$designation=$_SESSION['designation'];
$employeeNo=$_SESSION['employeeNo'];
$dateOfJoining=$_SESSION['dateOfJoining'];
$email=$_SESSION['email'];
$phone=$_SESSION['phone'];

$departmentName=$_SESSION['departmentName'] ;
$departmentId=$_SESSION['departmentId'];


?>

<!doctype html>
<html lang="en" data-layout="vertical" data-topbar="light" data-sidebar="dark" data-sidebar-size="lg" data-sidebar-image="none" data-preloader="disable">



<head>

    <meta charset="utf-8" />
    <title> Weapon Armary Management system </title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    

    <!--datatable css-->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/dataTables.bootstrap5.min.css" />
    <!--datatable responsive css-->
    <link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.2.9/css/responsive.bootstrap.min.css" />

    <link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.2.2/css/buttons.dataTables.min.css">
<!-- App favicon -->
    <link rel="shortcut icon" href="assets/images/favicon.ico">


    <!-- Layout config Js -->
    <script src="assets/js/layout.js"></script>
    <!-- Bootstrap Css -->
    <link href="assets/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <!-- Icons Css -->
    <link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
    <!-- App Css-->
    <link href="assets/css/app.min.css" rel="stylesheet" type="text/css" />
    <!-- custom Css-->
    <link href="assets/css/custom.min.css" rel="stylesheet" type="text/css" />
    
	<!-- year picker-->
	
	
</head>

<body>

    <!-- Begin page -->
    <div id="layout-wrapper">

        <header id="page-topbar">
    <div class="layout-width">
        <div class="navbar-header">
            <div class="d-flex">
                <!-- LOGO -->
                <div class="navbar-brand-box horizontal-logo">
                    <a href="index.html" class="logo logo-dark">
                        <span class="logo-sm">
                            <img src="assets/images/logo-sm.png" alt="" height="22">
                        </span>
                        <span class="logo-lg">
                            <img src="assets/images/logo-dark.png" alt="" height="17">
                        </span>
                    </a>

                    <a href="index.html" class="logo logo-light" style="color: white;font-size: 20px;font-family: 'Poppins';">
                        <span class="logo-sm">
                            <img src="assets/images/logo-sm.png" alt="" height="22">
                        </span>
                        <span class="logo-lg">
                            <img src="assets/images/logo-light.png" alt="" height="17">
                        </span>
                    </a>
                </div>

                <button type="button" class="btn btn-sm px-3 fs-16 header-item vertical-menu-btn topnav-hamburger" id="topnav-hamburger-icon">
                    <span class="hamburger-icon">
                        <span></span>
                        <span></span>
                        <span></span>
                    </span>
                </button>

               
            </div>

            <div class="d-flex align-items-center">

               
                <div class="ms-1 header-item d-none d-sm-flex">
                    <button type="button" class="btn btn-icon btn-topbar btn-ghost-secondary rounded-circle" data-toggle="fullscreen">
                        <i class='bx bx-fullscreen fs-22'></i>
                    </button>
                </div>

                <div class="ms-1 header-item d-none d-sm-flex">
                    <button type="button" class="btn btn-icon btn-topbar btn-ghost-secondary rounded-circle light-dark-mode">
                        <i class='bx bx-moon fs-22'></i>
                    </button>
                </div>

                

                <div class="dropdown ms-sm-3 header-item topbar-user">
                    <button type="button" class="btn" id="page-header-user-dropdown" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        
                                <span class="d-none d-xl-inline-block ms-1 fw-medium user-name-text"><?php  echo $name ?></span>
                                <span class="d-none d-xl-block ms-1 fs-12 text-muted user-name-sub-text">Admin </span>
                            </span>
                        </span>
                    </button>
                    <div class="dropdown-menu dropdown-menu-end">
                        <!-- item-->
                        <h6 class="dropdown-header">Welcome !</h6>
                      
                        
                        
                        <a class="dropdown-item" href="logout.php"><i class="mdi mdi-logout text-muted fs-16 align-middle me-1"></i> <span class="align-middle" data-key="t-logout">Logout</span></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>


        <!-- ========== App Menu ========== -->
        <div class="app-menu navbar-menu">
            <!-- LOGO -->
            <div class="navbar-brand-box">
                <!-- Dark Logo-->
                <a href="index.php" class="logo logo-dark">
                   Workshop Service 
                </a>
                <!-- Light Logo-->
                <a href="index.php" class="logo logo-light" style="color: white;
    font-size: 20px;
    font-family: 'Poppins';">
                    Workshop Service
                </a>
                <button type="button" class="btn btn-sm p-0 fs-20 header-item float-end btn-vertical-sm-hover" id="vertical-hover">
                    <i class="ri-record-circle-line"></i>
                </button>
            </div>

            <div id="scrollbar">
                <div class="container-fluid">

                    <div id="two-column-menu">
                    </div>
                    <ul class="navbar-nav" id="navbar-nav">
                        <li class="menu-title"><span data-key="t-menu">Menu</span></li>
                        <li class="nav-item">
                            <a class="nav-link" href="index.php"  role="button" aria-expanded="false" aria-controls="sidebarDashboards">
                                <i class="ri-dashboard-2-line"></i> <span data-key="t-dashboards">Dashboards</span>
                            </a>
                            
                        </li> <!-- end Dashboard Menu -->
                      

                    

                        

                   

                        <li class="nav-item">
                            <a class="nav-link menu-link" href="#masterpage" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                <i class="ri-pages-line"></i> <span data-key="t-pages">Master Data</span>
                            </a>
                            <div class="collapse menu-dropdown" id="masterpage">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item">
                                        <a href="add_weapon_index.php" class="nav-link" data-key="t-starter"> Add Weapon Name</a>
                                    </li>
                                    
                                    <li class="nav-item">
                                        <a href="revolver_repair_index.php" class="nav-link" data-key="t-starter"> Add Revolver Repair Department</a>
                                    </li>
                                    <li class="nav-item"><a href="add_short_weapon_report.php" class="nav-link" data-key="t-starter">Add Short Weapon </a></li>
                                    <li class="nav-item"><a href="add_long_weapon_report.php" class="nav-link" data-key="t-starter">Add Long Weapon </a></li>
                                    <li class="nav-item"><a href="add_sparepart_report.php" class="nav-link" data-key="t-starter">Add SparePart </a></li>
                                   
                                    
                                    
                                    
                                </ul>
                            </div>
                        </li>

                        
                        <li class="nav-item">
                            <a class="nav-link menu-link" href="#inventarypage" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                <i class="ri-pages-line"></i> <span data-key="t-pages"> Daily Report</span>
                            </a>
                            <div class="collapse menu-dropdown" id="inventarypage">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item">
                                        <a href="Add_daily_report.php" class="nav-link" data-key="t-starter"> Add Daily Report</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="daily_report.php" class="nav-link" data-key="t-starter"> Report</a>
                                    </li>
                                    
                                    
                                </ul>
                            </div>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link menu-link" href="#Alerts" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                <i class="ri-pages-line"></i> <span data-key="t-pages"> Weapon Condition Registered</span>
                            </a>
                            <div class="collapse menu-dropdown" id="Alerts">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item">
                                        <a href="weapon_condition_form.php" class="nav-link" data-key="t-starter"> Add Report</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="weapon_condition_report.php" class="nav-link" data-key="t-starter"> Report</a>
                                    </li>
                                    
                                    
                                </ul>
                            </div>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link menu-link" href="#addsparepartReport" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                <i class="ri-pages-line"></i> <span data-key="t-pages">Add Daily Spare Part</span>
                            </a>
                            <div class="collapse menu-dropdown" id="addsparepartReport">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item"><a href="add_shortweapon_daily_sparepart.php" class="nav-link" data-key="t-starter">Add Short Weapon Sparepart Qty</a></li>
                                    <li class="nav-item"><a href="add_longweapon_daily_sparepart.php" class="nav-link" data-key="t-starter">Add Long Weapon Sparepart Qty</a></li>
                                    <!-- <li class="nav-item"><a href="add_sparepart_report.php" class="nav-link" data-key="t-starter">SparePart Report</a></li> -->
                                </ul>
                            </div>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link menu-link" href="#sparepartReport" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                <i class="ri-pages-line"></i> <span data-key="t-pages">Spare Part Reports</span>
                            </a>
                            <div class="collapse menu-dropdown" id="sparepartReport">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item"><a href="short_weapon_report.php" class="nav-link" data-key="t-starter">Short Weapon Sparepart Report</a></li>
                                    <li class="nav-item"><a href="long_weapon_report.php" class="nav-link" data-key="t-starter">Long Weapon Sparepart Report</a></li>
                                    <!-- <li class="nav-item"><a href="add_sparepart_report.php" class="nav-link" data-key="t-starter">SparePart Report</a></li> -->
                                </ul>
                            </div>
                        </li>

                        

                        <li class="nav-item">
                            <a class="nav-link menu-link" href="#registertedpage" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                <i class="ri-pages-line"></i> <span data-key="t-pages"> Inword/Outword Registered</span>
                            </a>
                            <div class="collapse menu-dropdown" id="registertedpage">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item">
                                        <a href="inward_registered.php" class="nav-link" data-key="t-starter"> Inward Registered</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="outward_registered.php" class="nav-link" data-key="t-starter"> Outward Registered</a>
                                    </li>
                                    
                                    
                                </ul>
                            </div>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link menu-link" href="#revolverreport" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                <i class="ri-pages-line"></i> <span data-key="t-pages"> Revolver  Report</span>
                            </a>
                            <div class="collapse menu-dropdown" id="revolverreport">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item">
                                        <a href="revolver_add_list.php" class="nav-link" data-key="t-starter">Add Revolver Report</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="revolver_repair_department_descrption.php" class="nav-link" data-key="t-starter"> Revolver Report</a>
                                    </li>
                                    
                                    
                                </ul>
                            </div>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link menu-link" href="#inventarymanageent" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                <i class="ri-pages-line"></i> <span data-key="t-pages"> Inventary Management</span>
                            </a>
                            <div class="collapse menu-dropdown" id="inventarymanageent">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item">
                                        <a href="inventary_inward.php" class="nav-link" data-key="t-starter">Inward</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="inventary_outward.php" class="nav-link" data-key="t-starter">Outward</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="#" class="nav-link" data-key="t-starter">Summary</a>
                                    </li>
                                    
                                    
                                </ul>
                            </div>
                        </li>

                        
                        <li class="nav-item">
                            <a class="nav-link" href="#"  role="button" aria-expanded="false" aria-controls="sidebarDashboards">
                                <i class="ri-pages-line"></i> <span data-key="t-dashboards">Date wise Report</span>
                            </a>
                        </li>

                        

                        <li class="nav-item">
                            <a class="nav-link menu-link" href="#Setting" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                <i class="ri-pages-line"></i> <span data-key="t-pages"> Setting</span>
                            </a>
                            <div class="collapse menu-dropdown" id="Setting">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item">
                                        <a href="#" class="nav-link" data-key="t-starter"> Change Password</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="#" class="nav-link" data-key="t-starter"> Profile Update</a>
                                    </li>
                                                    <li class="nav-item">
                                            <a class="nav-link menu-link" href="#prefix" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                                 <span data-key="t-pages"> Add prefix Inward/outward</span>
                                            </a>
                                            <div class="collapse menu-dropdown" id="prefix">
                                                <ul class="nav nav-sm flex-column">
                                                    <li class="nav-item">
                                                        <a href="Add_inward_prefix.php" class="nav-link" data-key="t-starter"> Inward prefix</a>
                                                    </li>
                                                    <li class="nav-item">
                                                        <a href="Add_outward_prefix.php" class="nav-link" data-key="t-starter">  outward prefix</a>
                                                    </li>
                                                    
                                                    
                                                </ul>
                                            </div>
                                        </li>
                                    
                                    
                                </ul>
                            </div>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" href="#"  role="button" aria-expanded="false" aria-controls="sidebarDashboards">
                                <i class="ri-pages-line"></i> <span data-key="t-dashboards">Backup and Restore</span>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" href="#"  role="button" aria-expanded="false" aria-controls="sidebarDashboards">
                                <i class="ri-pages-line"></i> <span data-key="t-dashboards">Support</span>
                            </a>
                        </li>

                       

                        

                        

                   
                      

                        

                   
                       

                        

                        

                        

                       

                        


                       

                        

                    </ul>
                </div>
                <!-- Sidebar -->
            </div>

            <div class="sidebar-background"></div>
        </div>
        <!-- Left Sidebar End -->
        <!-- Vertical Overlay-->
        <div class="vertical-overlay"></div>