<?php 
include "header.php";
include 'config.php';

//$url = 'http://192.168.1.42:8088/all_repair_revolver_details';

$curl = curl_init();
$url = BASE_URL . '/all_repair_revolver_details';
curl_setopt_array($curl, array(
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
));

$response = curl_exec($curl);

curl_close($curl);


?>

<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                    <li class="breadcrumb-item active">Workshop Service Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="table-content">
                    <div class="card">
                    <div class="card-header d-flex align-items-center">
                                    <h5 class="card-title mb-0 flex-grow-1">List Revolver Name </h5>
                                    <div>
                                        <button id="addRow" class="btn btn-primary"><a href="add_revolver_repair_name.php" class="nav-link" data-key="t-starter">Add Revolver  Name</a></button>
                                    </div>
                                </div>

                                <?php 
                        if(isset($_SESSION['success_status'])){
                            ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong>Hey!</strong> <?php echo $_SESSION['success_status'];   ?>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>

                            <?php
                            
                            

                        }
                        elseif(isset($_SESSION['error_status'])){
                            ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong>Hey!</strong> <?php echo $_SESSION['error_status'];   ?>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>

                            <?php

                        }
                        unset($_SESSION['success_status']);
                        unset($_SESSION['error_status']);
                    ?> 

                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">

                            <div class="card-body">
                                <div class="table-responsive">

                                    <table id="buttons-datatables"
                                        class="table table-bordered table-responsive dataTable no-footer custom-table"
                                        style="width: 100%;" aria-describedby="buttons-datatables_info">
                                        <thead class="thead" style=" overflow: scroll; width: 331px;  height:40px;">
                                            <tr>
                                            <th class="text-center" scope="col">Sr No.</th>
                                                <th class="text-center" scope="col">Revolver Repair Name</th>
                                                <th class="text-center" scope="col">Status</th>
                                                <th class="text-center" scope="col" >Action</th>
                                                
                                              
                                            </tr>
                                        </thead>
                                        <tbody>
                                        
                                        <?php
                                        $data = json_decode($response, true);
                                    if (!empty($data)) {
                                        foreach ($data as $row) {
                                            
                                            $id = $row['id'];
                                            $encrypted_id = base64_encode($id);
                                            $revolverNameid = $row['revolverName'];
                                            $encrypted_revolverName = base64_encode($revolverNameid);
                                            ?>
                                        <tr>
                                           <td class='text-center'><?php  echo $row['id']; ?></td>
                                           <td class='text-center'><?php  echo $row['revolverName']; ?></td>
                                           <td class='text-center'><?php  echo $row['status']; ?></td>
                                           <td class='text-center'>
                                           <a href="update_revolver_repair_name.php?id_no=<?php  echo $encrypted_id; ?>" class='btn btn-success '>Update</a>
                                          
                                          </td>
                                        </tr>
                                        <?php
                                    }
                                } else {
                                    ?>
                                   
                                    <tr><td colspan='6'>Data Not Available</td></tr>
                                    <?php }
                                ?>
                                   
                                           
                                        
                                        
                                            
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
                </div>

            </div> <!-- Closing tag for div.container-fluid -->
        </div> <!-- Closing tag for div.page-content -->
    </div> <!-- Closing tag for div.main-content -->

   
</body>

<script>
        window.addEventListener('beforeprint', function() {
            document.querySelectorAll('.dt-buttons, #searchBox, #paginate_button ').forEach(function(element) {
                element.style.display = 'none';
            });
        });

        window.addEventListener('afterprint', function() {
            document.querySelectorAll('.dt-buttons, #searchBox, #paginate_button ').forEach(function(element) {
                element.style.display = 'block';
            });
        });
    </script>
<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
 <?php include "footer.php"; ?>