<?php include "header.php";
include 'config.php';?>

<style>
    .report a {
        color: white;
    }

    .margin {
        margin-top: 20px;
    }
</style>


<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                    <li class="breadcrumb-item active">Workshop Service Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-12">
                    <div class="card">
                    <div class="card-header d-flex align-items-center">
                    <h5 class="card-title mb-0 flex-grow-1">Weapon Condition Report </h5>
                                    <div>
                                        <button id="addRow" class="btn btn-primary"><a href="weapon_condition_form.php" class="nav-link" data-key="t-starter">Add Weapon Condition Report</a></button>
                                    </div>
                                </div>
                                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">

                            <form action="" class="needs-validation was-validated" novalidate="" method="post"
                                enctype="multipart/form-data">
                                <div class="d-flex" style="gap:20px;">
                                    <div class="col-md-2 mt-3">
                                        <div>
                                            <label for="startDate" class="form-label mx-3" style="color:grey;"> Start
                                                Date:</label>
                                            <input type="date" class="form-control mx-3" id="startDate" name="startDate"
                                                required>
                                        </div>
                                    </div>
                                    <div class="col-md-2 mt-3 ml-5">
                                        <div>
                                            <label for="endDate" class="form-label" style="color:grey;"> End
                                                Date:</label>
                                            <input type="date" class="form-control" id="endDate" name="endDate"
                                                required>
                                        </div>
                                    </div>

                                    <div class="col-md-2 ml-5 mt-5">
                                        <button type="submit" id="submitButton" class="btn btn-primary report"
                                            style="color:white">Submit</button>
                                    </div>
                                </div>
                                <!-- Hidden input fields for startDate and endDate -->
                                <input type="hidden" name="startDate" id="hiddenStartDate">
                                <input type="hidden" name="endDate" id="hiddenEndDate">
                            </form>

                            <div class="card-body">
                                <div class="table-responsive">
                                    <table id="buttons-datatables" class="display table table-bordered"
                                        style="width:100%">
                                        <thead class="table-light">
                                            <tr class="fs-6">
                                            <th class="text-center"  scope="col">Action </th>
                                            <th class="text-center" scope="col">Date</th>
                                                <th class="text-center" scope="col">Weapon Name</th>
                                                <th class="text-center" scope="col">Butt No</th>
                                                <th class="text-center" scope="col" >Manufactured No</th>
                                                <th class="text-center" scope="col" >Weapon Condition</th>
                                                <th class="text-center" scope="col">Remark</th>
                                            </tr>

                                           
                                        </thead>

                                        <tbody class="fs-6">
                                        <?php
// Check if the form has been submitted and both startDate and endDate are set
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['startDate']) && isset($_POST['endDate'])) {
    $startDate = $_POST['startDate'];
    $endDate = $_POST['endDate'];
    //$url = BASE_URL . '/weaponReport/weapon-reports?startDate=' . $startDate . '&endDate=' . $endDate;
    $curl = curl_init();
    $url = BASE_URL . '/weaponReport/weapon-reports?startDate=' . $startDate . '&endDate=' . $endDate;
curl_setopt_array($curl, array(
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
));

$response = curl_exec($curl);

curl_close($curl);


    $data = json_decode($response, true);

    if (is_array($data) && !empty($data)) {
        foreach ($data as $row) {
            if (is_array($row)) { // Ensure $row is an array
                $id = $row['date'];
                $encrypted_id = base64_encode($id);
                ?>
                <tr>
               <td class='text-center'>
                <a href="view_particular_report_weaponcondition.php?id_no=<?php echo $encrypted_id; ?>" class='btn btn-success '>View</a>
                                                </td>
                                            <td class='text-center'><?php echo date('d/m/y', strtotime($row['date'])); ?></td>
                                            <td class='text-center'><?php echo $row['weaponType'] ?></td>
                                            <td class='text-center'>
                                            <tr>
                <?php 
   
    $buttNo_numbers = explode(",", $row['buttNo']);
    foreach ($buttNo_numbers as $buttnumber) { ?>
    <td class='text-center'><?php echo $buttnumber ?></td>
        
        <?php 
    }
    ?>
     <tr>
            </td>
                
                <td class='text-center'>
    <?php 
   
    $manufacturer_numbers = explode(",", $row['manufacturerNo']);
    foreach ($manufacturer_numbers as $number) {
        echo $number . "<hr>";
    }
    ?>
</td>
                <td class='text-center'>
                <?php 
   
   $weaponCondition_numbers = explode(",", $row['weaponCondition']);
   foreach ($weaponCondition_numbers as $weaponConditions) {
       echo $weaponConditions . "<hr>";
   }
   ?>
            </td>
                <td class='text-center'><?php echo $row['description'] ?></td>
                </tr>
                <?php
            }
        }
    } else {
        ?>
        <tr><td colspan='6'>Data Not Available</td></tr>
        <?php
    }
} else {
    // If the form has not been submitted or startDate and endDate are not set
    $curl = curl_init();
$url = BASE_URL . '/weaponReport/listWeaponReport';
curl_setopt_array($curl, array(
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
));

$response = curl_exec($curl);

curl_close($curl);

    $data = json_decode($response, true);

    if (is_array($data) && !empty($data)) {
        foreach ($data as $row) {
            if (is_array($row)) { // Ensure $row is an array
                $id = $row['date'];
                $encrypted_id = base64_encode($id);
                ?>
                <tr>
                <td class='text-center'>
                <a href="view_particular_report_weaponcondition.php?id_no=<?php echo $encrypted_id; ?>" class='btn btn-success '>View</a>
                                                </td>
                                            <td class='text-center'><?php echo date('d/m/y', strtotime($row['date'])); ?></td>
                                            <td class='text-center'><?php echo $row['weaponType'] ?></td>
                <td class='text-center'>
                <?php 
   
    $buttNo_numbers = explode(",", $row['buttNo']);
    foreach ($buttNo_numbers as $buttnumber) {
        echo $buttnumber . "<hr>";
    }
    ?>
            </td>
                
                <td class='text-center'>
    <?php 
   
    $manufacturer_numbers = explode(",", $row['manufacturerNo']);
    foreach ($manufacturer_numbers as $number) {
        echo $number . "<hr>";
    }
    ?>
</td>
                <td class='text-center'>
                <?php 
   
   $weaponCondition_numbers = explode(",", $row['weaponCondition']);
   foreach ($weaponCondition_numbers as $weaponConditions) {
       echo $weaponConditions . "<hr>";
   }
   ?>
            </td>
                <td class='text-center'><?php echo $row['description'] ?></td>
                </tr>
                <?php
            }
        }
    } else {
        ?>
        <tr><td colspan='6'>Data Not Available</td></tr>
        <?php
    }
}
?>

                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div><!--end row-->
            </div>
        </div>
    </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function () {
            // Intercept form submission
            $('form').submit(function () {
                // Get the values of startDate and endDate inputs
                var startDate = $('#startDate').val();
                var endDate = $('#endDate').val();
                // Set the values of hidden input fields
                $('#hiddenStartDate').val(startDate);
                $('#hiddenEndDate').val(endDate);
                // Continue with form submission
                return true;
            });
        });
    </script>
<script>
        $(document).ready(function () {
            // Intercept form submission
            $('form').submit(function (event) {
                // Get the values of startDate and endDate inputs
                var startDate = $('#startDate').val();
                var endDate = $('#endDate').val();

                // Check if startDate or endDate is empty
                if (!startDate || !endDate) {
                    // Prevent the default form submission
                    event.preventDefault();
                    // Display an alert message
                    alert("Please select both start date and end date.");
                    return;
                }

                // Convert selected dates to Date objects
                var startDateObj = new Date(startDate);
                var endDateObj = new Date(endDate);

                // Check if endDate is before startDate
                if (endDateObj < startDateObj) {
                    // Prevent the default form submission
                    event.preventDefault();
                    // Display an alert message
                    alert("Please select a valid end date that is after the start date.");
                    return;
                }
            });
        });
    </script>

    <?php include "footer.php"; ?>
